{% extends 'basic.html' %}

{% block title %}Edit article{% endblock %}
{% block content %}
<h1>Edit article</h1>
<form method="POST" action="">
    <div class="form-group">
        <label>Title</label>
        <input type="text" name="title" class="form-control" value="{{ article.title }}">
    </div>
    <div class="form-group">
        <label>Body</label>
        <textarea name="body" class="form-control" id="editor">{{ article.body }}</textarea>
    </div>
    <button type="submit" class="btn btn-warning">Update article</button>
</form>
<script src="https://cdn.ckeditor.com/ckeditor5/11.1.0/classic/ckeditor.js"></script>
<script>
    ClassicEditor
        .create( document.querySelector( '#editor' ) )
        .catch( error => {
            console.error( error );
        } );
</script>

{% endblock %}